package org.bitbucket.bradleysmithllc.etlunit.feature.log_assertion;

import org.bitbucket.bradleysmithllc.etlunit.RuntimeSupport;
import org.bitbucket.bradleysmithllc.etlunit.io.FileBuilder;

import javax.inject.Inject;
import java.io.File;

public class LogAssertionRuntimeSupportImpl implements LogAssertionRuntimeSupport
{
	private RuntimeSupport runtimeSupport;

	@Inject
	public void receiveRuntimeSupport(RuntimeSupport support)
	{
		runtimeSupport = support;
	}

	@Override
	public File locateLogExpressionFile(String name) {
		return locateLogExpressionFile(null, name);
	}

	@Override
	public File locateLogExpressionFile(String _package, String name) {
		return new FileBuilder(runtimeSupport.getTestResourceDirectory(_package, "log")).name(name + ".expr").file();
	}

	@Override
	public File locateLogExpressionFileForCurrentTest(String name) {
		return locateLogExpressionFile(runtimeSupport.getCurrentlyProcessingTestPackage(), name);
	}
}